/**
 * 	\file
 *  \author:    Joshua J Bialkowski (jbialk@mit.edu)
 *  \date:      Jun 29, 2009
 *  \brief:
 *
 *  detail:
 */

// simple file localization in error strings
#define STRINGIFY(x) #x
#define TOSTRING(x) STRINGIFY(x)
#define HERE " in "__FILE__ " at line " TOSTRING(__LINE__)

#include "IllegalArgumentException.h"

namespace txduino
{




IllegalArgumentException::IllegalArgumentException( const char *message )
    throw():
        Exception(message)
{}






IllegalArgumentException::IllegalArgumentException( const std::string& message )
    throw():
        Exception(message)
{}








IllegalArgumentException::~IllegalArgumentException()
    throw()
{}






const char* IllegalArgumentException::getClassName()
    throw()
{
    return "IllegalArgumentException";
}


}
